Bug 240551 - ifup ethX_$whatever error messages
ifup ethX_$whatever error messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 08:57 EDT by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifcfg-eth1_fi (139 bytes, text/plain)
2007-05-18 17:12 EDT, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2007-05-18 08:57:03 EDT
I have more ifcfg-eth1 profiles in my /etc/sysconfig/network-scripts/ as eth1 is
my wifi. I name them ifcfg-eth1_$whatever.

To power them up, iup eth1_$whatever, do take 'em down ifdown eth1.
In rawhide that does not seem to do the trick. I have ifcfg-eth1_rh in my
network-scripts dir.

`ifup eth1_rh' works, but prints some error messages:
 [root@kovinek ~]# ifup eth1_rh

Determining IP information for eth1.../sbin/dhclient-script: configuration for
eth1 not found. Continuing with defaults.
/etc/sysconfig/network-scripts/network-functions: line 78: eth1: No such file or
directory
/sbin/dhclient-script: configuration for eth1 not found. Continuing with defaults.
/etc/sysconfig/network-scripts/network-functions: line 78: eth1: No such file or
directory
 done.

I see that the device is up:
[root@kovinek ~]# ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 00:19:D2:29:7D:B8
          inet addr:10.34.5.161  Bcast:10.34.5.255  Mask:255.255.255.0
          inet6 addr: fe80::219:d2ff:fe29:7db8/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:164 errors:0 dropped:5639 overruns:0 frame:0
          TX packets:400 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1655204 (1.5 MiB)  TX bytes:380792 (371.8 KiB)
          Interrupt:21 Base address:0xc000 Memory:edf00000-edf00fff



ifdown eth1_$whatever print some errors again:
[root@kovinek ~]# ifdown eth1_rh
/sbin/dhclient-script: configuration for eth1 not found. Continuing with defaults.
/etc/sysconfig/network-scripts/network-functions: line 78: eth1: No such file or
directory


ifdown eth1 apparently will not work as ifcfg-eth1 does not exist
[root@kovinek ~]# ifdown eth1
usage: ifdown <device name>
Comment 1 David Kovalsky 2007-05-18 09:20:18 EDT
Forgot the version

[dkovalsk@kovinek ~]$ rpm -q initscripts
initscripts-8.54-1
Comment 2 Bill Nottingham 2007-05-18 14:56:37 EDT
Can you attach your files?
Comment 3 David Kovalsky 2007-05-18 17:12:22 EDT
Created attachment 155028 [details]
ifcfg-eth1_fi

Other files differ only in ESSID
Comment 4 Bill Nottingham 2007-05-18 20:28:52 EDT
When was the last time this worked for you? (There haven't been many changes
here recently...)
Comment 5 David Kovalsky 2007-05-19 06:44:49 EDT
Well, this works except that it prints a bunch of error messages. 

I just copied the scripts from my old notebook running FC4 or FC5. Now thinking
about it I may have had an empty (or with some bogus settings) ifcfg-eth1 file,
I don't know ATM.

If I do `touch ifcfg-eth1' then `ifup eth1_fi' comes up without any complaints
same as `ifdown eth1_fi'. 

Either way, I don't see anything bad on what I'm trying to do so IMO this should
work without error messages, even with ifcfg-eth1 gone.


btw:
[root@kovinek network-scripts]# ifup eth1
Usage: grep [OPTION]... PATTERN [FILE]...
Try `grep --help' for more information.
Usage: grep [OPTION]... PATTERN [FILE]...
Try `grep --help' for more information.
Missing config file ifcfg-ifcfg-eth1.
                        ^^^^^^^ should be ifcfg-eth1 or sth meaningful

But I wouldn't consider this a high priority issue, since ifcfg-eth1 is empty.


 
Comment 6 Bug Zapper 2008-04-03 20:46:26 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 David Kovalsky 2008-04-07 09:26:18 EDT
Hey, 

IIRC I've reported this against pre-release F7, which I currently don't use
anymore. Since there's been no progress I've managed to work around this and
stopped caring about the outcome. 

Unless anyone else cares I suggest closing this as WONTFIX. 
Comment 8 Bug Zapper 2008-05-13 22:54:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 18:36:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.